<phpunit
	bootstrap="tests/bootstrap.php"
	verbose="true"
	timeoutForSmallTests="900"
	timeoutForMediumTests="900"
	timeoutForLargeTests="900"
	cacheResult="true"
	>
	<testsuite name="Holiday Calendars app tests">
		<directory suffix="test.php">./tests</directory>
		<directory suffix="Test.php">./tests</directory>
	</testsuite>
	<filter>
		<whitelist>
			<directory suffix=".php">./</directory>
			<exclude>
				<directory suffix=".php">./appinfo</directory>
				<directory suffix=".php">./l10n</directory>
				<directory suffix=".php">./templates</directory>
				<directory suffix=".php">./tests</directory>
				<directory suffix=".php">./vendor</directory>
				<directory suffix=".php">./node_modules</directory>
				<file>.php-cs-fixer.dist.php</file>
			</exclude>
		</whitelist>
	</filter>
	<logging>
		<!-- and this is where your report will be written -->
		<log type="coverage-clover" target="./coverage/clover.unit.xml"/>
		<log type="coverage-html" target="./coverage/html-coverage" lowUpperBound="50" highLowerBound="90"/>
	</logging>
</phpunit>
